%define major 7
%define libname %mklibname gif %{major}
%define devname %mklibname gif -d

Summary:	Library for reading and writing gif images
Name:		giflib
Version:	5.1.0
Release:	2
License:	BSD
Group:		System/Libraries
Url:		http://giflib.sourceforge.net/
Source0:	http://switch.dl.sourceforge.net/project/giflib/giflib-5.x/giflib-%{version}.tar.bz2
Patch0:		giflib-5.0.4-automake-1.13.patch
BuildRequires:	xmlto
BuildRequires:	pkgconfig(x11)

%description
giflib is a library for reading and writing gif images. It is API and
ABI compatible with libungif which was in wide use while the LZW
compression algorithm was patented.

#----------------------------------------------------------------------------

%package progs
Summary:	Gif tools based on giflib
Group:		Graphics

%description progs
giflib is a library for reading and writing gif images. It is API and
ABI compatible with libungif which was in wide use while the LZW
compression algorithm was patented.

This package provides some gif tools based on giflib.

%files progs
%doc AUTHORS BUGS COPYING ChangeLog NEWS README TODO
%{_bindir}/*
%{_mandir}/man1/*

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	Library for reading and writing gif images
Group:		System/Libraries

%description -n %{libname}
giflib is a library for reading and writing gif images. It is API and
ABI compatible with libungif which was in wide use while the LZW
compression algorithm was patented.

%files -n %{libname}
%{_libdir}/libgif.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Development files for giflib
Group:		Development/C
Requires:	%{libname} = %{EVRD}
Provides:	giflib-devel = %{EVRD}
Provides:	ungif-devel = %{EVRD}

%description -n %{devname}
giflib is a library for reading and writing gif images. It is API and
ABI compatible with libungif which was in wide use while the LZW
compression algorithm was patented.

This packages provides the developement files for giflib.

%files -n %{devname}
%{_includedir}/gif_lib.h
%{_libdir}/*.so

#----------------------------------------------------------------------------

%prep
%setup -q
%apply_patches
autoreconf -fi

%build
%configure2_5x \
	--disable-static

%make

%install
%makeinstall_std

# Let's try to keep -lungif working for really old code
ln -s libgif.so %{buildroot}%{_libdir}/libungif.so


%changelog
* Fri Jun 27 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 5.1.0-2
+ Revision: 46b7ece
- MassBuild#440: Increase release tag


